@ECHO OFF
REM ***********************************************************************
REM     Author(s): K. Kaspar
REM     ©  UNIVERSITY - L I N Z / LCM - Linz Center of Mechatronics GmbH
REM        Institute for Electrical Drives and Power Electronics
REM ***********************************************************************

ECHO ComponentSpace Build Components
ECHO.

SET startDir=%~dp0

SET /P answer1=FullBuild (y/[n])?
IF /I {%answer1%}=={y} (set fullBuild=1) ELSE (set fullBuild=0)

SET /P answer2=Include Missing Component Dependencies (y/[n])?
IF /I {%answer2%}=={y} (set IncludeMissingDeps=1) ELSE (set IncludeMissingDeps=0)
ECHO.

%MagOpt_Home%CSymSpace.exe %ComponentSpace%\src\componentspace\scripts\build_components.py --fullBuild %fullBuild% --startDir %startDir% --IncludeMissingDeps %IncludeMissingDeps%

ECHO.
ECHO Finished
ping /n 10 localhost >nul